Subject: bug#22420: Zsh test failure

From: Leo Famulari <[email-masked]>
Date: Thu, 21 Jan 2016 18:05:23 -0500

On Thu, Jan 21, 2016 at 10:02:53PM +0100, Ludovic Courtès wrote:
> Leo Famulari <[email-masked]> skribis:
> 
> > Zsh fails to build due to a test failure on my system (x86_64).
> >
> > The test suite does not report where the failure occurs but I believe it
> > is in section 'Test/B02typeset.ztst' as a result of patch-shebang
> > failing to find a binary interpreter for 'Test/ztst.zsh':
> >
> > patch-shebang: ./Test/ztst.zsh: warning: no binary for interpreter `zsh' found in $PATH
> >
> > I wonder if this means that the file is being interpreted by Bash, or
> > maybe the 'sh' mode of Bash.
> 
> It means that the ztst.zsh contains #!/usr/bin/zsh or similar, and when
> the ‘patch-shebangs’ phase runs, there’s no ‘zsh’ binary in $PATH, so
> the file is left unpatched with its bogus shebang.
> 
> That means that attempts to exec ztst.zsh systematically fail.
> 
> However, I see that Zsh appears to build fine on x86_64-linux as of
> v0.9.0-1121-gaca738f.  What Guix commit are you using?

Currently, feb767b23c7c. I noticed it was failing on core-updates and
decided to investigate; this commit is on master, not core-updates.

I have confirmed the failure is in 'Test/B02typeset.ztst'.

> Thanks,
> Ludo’.